Incidencia #41824

Goto paths through ships not executed

Abrir Fecha: 2021-03-22 15:56 Última actualización: 2021-06-29 07:49

Informador:
Propietario:
Tipo:
Estado:
Open [Owner assigned]
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
1

Details

Likely, something related to "(dis)embark" actions and the manner of goto to execut only the action at the end: if you trace a path in the client for a unit through a ship, it won't embark.

Ticket History (3/8 Histories)

2021-03-22 15:56 Updated by: ihnatus
  • New Ticket "Goto paths through ships not executed" created
2021-03-22 21:15 Updated by: kvilhaugsvik
Comentario

Reply To ihnatus

Likely, something related to "(dis)embark" actions and the manner of goto to execut only the action at the end: if you trace a path in the client for a unit through a ship, it won't embark.

Correct. The client sends an order to regular move through the ship rather than to embark and then disembark. This will be solved automatically when the path finding system learns about actions. https://www.hostedredmine.com/issues/850768

I have had some progress towards https://www.hostedredmine.com/issues/850768 recently even if it doesn't look that way. Example: Making regular move an action helped. I will alos get some of the stuff I need for it from moving move costs to the ruleset.

2021-03-22 21:16 Updated by: cazfi
Comentario

Not a duplicate (especially if you are seeing a regression in S3_1), but related bug where comments explain the situation a bit: https://www.hostedredmine.com/issues/647612

2021-03-23 07:44 Updated by: cazfi
  • Gravedad Update from 7 to 5 - Medium
2021-04-04 12:50 Updated by: cazfi
  • Prioridad Update from 6 to 5 - Medium
2021-06-27 18:45 Updated by: kvilhaugsvik
Comentario

The attached patch from #42581 lets me move through ships from move orders.

2021-06-29 07:49 Updated by: kvilhaugsvik
  • Propietario Update from (Ninguno) to kvilhaugsvik
  • Resolución Update from Ninguno to Fixed
Comentario

Fixed by #42581

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar